Create a Tax Registration
curl --request POST \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"number": "<string>",
"type": "<string>"
}
'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
payload = {
"country": "<string>",
"number": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', number: '<string>', type: '<string>'})
};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'number' => '<string>',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "txr_17920607877jm90090eece",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_1792060786a7ina61b81d4",
"tax_id": "eu-vat",
"number": "FR76132473430",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:47.355Z",
"updated_at": "2026-10-15T10:39:47.355Z"
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Tax Registrations
Create a Tax Registration
Creates a tax registration for an organization.
POST
/
organizations
/
{organization_id}
/
tax_registrations
Create a Tax Registration
curl --request POST \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"number": "<string>",
"type": "<string>"
}
'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
payload = {
"country": "<string>",
"number": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', number: '<string>', type: '<string>'})
};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'number' => '<string>',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "txr_17920607877jm90090eece",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_1792060786a7ina61b81d4",
"tax_id": "eu-vat",
"number": "FR76132473430",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:47.355Z",
"updated_at": "2026-10-15T10:39:47.355Z"
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the organization you want to interact with
Body
application/json
Response
successful
The country of establishment for this tax registration
The tax ID this registration is for
Type of registration in country/zone
The tax zone (eg. EU) this registration refers to.
